import 'package:dio/dio.dart';
import '../model/base_model.dart';
import 'api_response.dart';
import 'api_service.dart';

abstract class DataFetchCall<T> {
  Future<Response> createApiAsync(Request request, {CancelToken cancelToken});

  T parseJson(Response response);

  Future<ApiResponse<BaseModel>> request(Request request,
      {CancelToken cancelToken});
}
